Bug 1135495 (kf5-modemmanager-qt) - Review Request: kf5-modemmanager-qt - A Tier 1 KDE Frameworks module wrapping ModemManager DBus API
Summary: Review Request: kf5-modemmanager-qt - A Tier 1 KDE Frameworks module wrapping...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-modemmanager-qt
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Jan Grulich
URL:
Whiteboard:
Depends On:
Blocks: plasma5 kf5-networkmanager-qt
TreeView+ depends on / blocked
 
Reported: 2014-08-29 13:08 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:33:39 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 13:08:37 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-libmm-qt.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-libmm-qt-5.0.92-1.fc20.src.rpm
Description: A Qt 5 library for ModemManager
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2014-11-19 09:22:23 UTC
Looks good, you are just missing to install README.md and COPYING.LIB files. Also description line for -devel subpkg is too long. Approved, this could be simply fixed during import.

Comment 2 Rex Dieter 2014-12-03 19:24:53 UTC
I think we can skip a separate kf5- module, and re-use and upgrade the existing libmm-qt package/module already in fedora instead.

That will give us a natural upgrade path, and nothing in f22/plasma5 should be relying on qt4 libmm-qt anyway.  right?

Comment 3 Daniel Vrátil 2014-12-19 16:18:04 UTC
libmm is going to become upstream KDE Framework, so I would prefer to have kf5-libmm-qt packages for the sake of consistency, and eventually obsolete libmm-qt once we replace Plasma 5 version of plasma-nm. Same goes for libnm-qt.

Comment 4 Jan Grulich 2015-01-06 12:44:45 UTC
Upstream will be renamed to modemmanager-qt, rename please the package now so we don't have to rename it in future.

Comment 5 Daniel Vrátil 2015-01-16 10:04:27 UTC
New Package SCM Request
=======================
Package Name: kf5-modemmanager-qt
Short Description: A Tier 1 KDE Frameworks module wrapping ModemManager DBus API
Upstream URL: http://www.kde.org
Owners: group::kde-sig
Branches: f20 f21
InitialCC:

Comment 6 Gwyn Ciesla 2015-01-16 13:13:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.